﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace FractalGenerator
{
    public partial class OptionsDialog : Form
    {
        public Options Preferences { get; set; }
        public OptionsDialog()
        {
            InitializeComponent();
        }

        public OptionsDialog(Options options)
        {
            Preferences = options;

            InitializeComponent();

            this.nudW.Value = (decimal)Preferences.xRes;
            this.nudH.Value = (decimal)Preferences.yRes;
            this.cmbAA.SelectedIndex = Preferences.AA / 2;
            this.nudThreads.Value = (decimal)Preferences.nThreads;
            this.nudHistory.Value = (decimal)Preferences.historySize;
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            Preferences = new Options((int)this.nudW.Value, (int)this.nudH.Value, this.cmbAA.SelectedIndex * 2, (int)this.nudThreads.Value, (int)this.nudHistory.Value);

            this.DialogResult = DialogResult.OK;
        }
    }
}
